"
 COPYRIGHT (c) 1996-2011 by Claus Gittinger
 COPYRIGHT (c) 2010-2011 by Jan Vrany, Jan Kurs and Marcel Hlopko
                            SWING Research Group, Czech Technical University in Prague

 Parts of the code written by Claus Gittinger are under following
 license:

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.

 Parts of the code written at SWING Reasearch Group [1] are MIT licensed:

 Permission is hereby granted, free of charge, to any person
 obtaining a copy of this software and associated documentation
 files (the 'Software'), to deal in the Software without
 restriction, including without limitation the rights to use,
 copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the
 Software is furnished to do so, subject to the following
 conditions:

 The above copyright notice and this permission notice shall be
 included in all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND,
 EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 OTHER DEALINGS IN THE SOFTWARE.

 [1] Code written at SWING Research Group contain a signature
     of one of the above copright owners.
"
"{ Package: 'stx:libjava' }"

Object subclass:#JavaSlotIndexCache
	instanceVariableNames:''
	classVariableNames:'String_Slot_offset String_Slot_count String_Slot_value
		Date_Slot_valueValid Date_Slot_expanded Date_Slot_tm_year
		Date_Slot_tm_yday Date_Slot_tm_mon Date_Slot_tm_mday
		Date_Slot_tm_hour Date_Slot_tm_min Date_Slot_tm_sec
		Date_Slot_tm_millis Date_Slot_tm_isdst Date_Slot_tm_wday
		Date_Slot_value Graphics_Slot_pDrawable Graphics_Slot_touched
		Graphics_Slot_color Color_Slot_pData Color_Slot_value'
	poolDictionaries:''
	category:'Languages-Java-Support'
!

!JavaSlotIndexCache class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1996-2011 by Claus Gittinger
 COPYRIGHT (c) 2010-2011 by Jan Vrany, Jan Kurs and Marcel Hlopko
                            SWING Research Group, Czech Technical University in Prague

 Parts of the code written by Claus Gittinger are under following
 license:

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.

 Parts of the code written at SWING Reasearch Group [1] are MIT licensed:

 Permission is hereby granted, free of charge, to any person
 obtaining a copy of this software and associated documentation
 files (the 'Software'), to deal in the Software without
 restriction, including without limitation the rights to use,
 copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the
 Software is furnished to do so, subject to the following
 conditions:

 The above copyright notice and this permission notice shall be
 included in all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND,
 EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 OTHER DEALINGS IN THE SOFTWARE.

 [1] Code written at SWING Research Group contain a signature
     of one of the above copright owners.

"
! !

!JavaSlotIndexCache class methodsFor:'queries'!

color_slot_pData_from:color
    Color_Slot_pData isNil ifTrue:[
        Color_Slot_pData := color class instVarOffsetOf:'pData'
    ].
    ^ Color_Slot_pData

    "Created: 8.2.1997 / 13:53:16 / cg"
!

color_slot_value_from:color
    Color_Slot_value isNil ifTrue:[
        Color_Slot_value := color class instVarOffsetOf:'value'
    ].
    ^ Color_Slot_value

    "Created: 8.2.1997 / 13:54:48 / cg"
!

date_slot_expanded
    Date_Slot_expanded isNil ifTrue:[
        Date_Slot_expanded := (Java at:'java.util.Date') instVarOffsetOf:'expanded'    
    ].
    ^ Date_Slot_expanded

    "
     JavaSlotIndexCache date_slot_expanded
    "

    "Created: 8.2.1997 / 13:28:18 / cg"
!

date_slot_tm_hour
    Date_Slot_tm_hour isNil ifTrue:[
        Date_Slot_tm_hour := (Java at:'java.util.Date') instVarOffsetOf:'tm_hour'    
    ].
    ^ Date_Slot_tm_hour

    "
     JavaSlotIndexCache date_slot_tm_hour
    "

    "Created: 8.2.1997 / 13:29:24 / cg"
!

date_slot_tm_isdst
    Date_Slot_tm_isdst isNil ifTrue:[
        Date_Slot_tm_isdst := (Java at:'java.util.Date') instVarOffsetOf:'tm_isdst'    
    ].
    ^ Date_Slot_tm_isdst

    "
     JavaSlotIndexCache date_slot_tm_isdst
    "

    "Created: 8.2.1997 / 13:39:00 / cg"
!

date_slot_tm_mday
    Date_Slot_tm_mday isNil ifTrue:[
        Date_Slot_tm_mday := (Java at:'java.util.Date') instVarOffsetOf:'tm_mday'    
    ].
    ^ Date_Slot_tm_mday

    "
     JavaSlotIndexCache date_slot_tm_mday
    "

    "Created: 8.2.1997 / 13:29:14 / cg"
!

date_slot_tm_millis
    Date_Slot_tm_millis isNil ifTrue:[
        Date_Slot_tm_millis := (Java at:'java.util.Date') instVarOffsetOf:'tm_millis'    
    ].
    ^ Date_Slot_tm_millis

    "
     JavaSlotIndexCache date_slot_tm_millis
    "

    "Created: 8.2.1997 / 13:29:43 / cg"
!

date_slot_tm_min
    Date_Slot_tm_min isNil ifTrue:[
        Date_Slot_tm_min := (Java at:'java.util.Date') instVarOffsetOf:'tm_min'    
    ].
    ^ Date_Slot_tm_min

    "
     JavaSlotIndexCache date_slot_tm_min
    "

    "Created: 8.2.1997 / 13:29:32 / cg"
!

date_slot_tm_mon
    Date_Slot_tm_mon isNil ifTrue:[
        Date_Slot_tm_mon := (Java at:'java.util.Date') instVarOffsetOf:'tm_mon'    
    ].
    ^ Date_Slot_tm_mon

    "
     JavaSlotIndexCache date_slot_tm_mon
    "

    "Created: 8.2.1997 / 13:29:05 / cg"
!

date_slot_tm_sec
    Date_Slot_tm_sec isNil ifTrue:[
        Date_Slot_tm_sec := (Java at:'java.util.Date') instVarOffsetOf:'tm_sec'    
    ].
    ^ Date_Slot_tm_sec

    "
     JavaSlotIndexCache date_slot_tm_sec
    "

    "Created: 8.2.1997 / 13:29:37 / cg"
!

date_slot_tm_wday
    Date_Slot_tm_wday isNil ifTrue:[
        Date_Slot_tm_wday := (Java at:'java.util.Date') instVarOffsetOf:'tm_wday'    
    ].
    ^ Date_Slot_tm_wday

    "
     JavaSlotIndexCache date_slot_tm_wday
    "

    "Created: 8.2.1997 / 13:29:14 / cg"
    "Modified: 8.2.1997 / 13:40:12 / cg"
!

date_slot_tm_yday
    Date_Slot_tm_yday isNil ifTrue:[
        Date_Slot_tm_yday := (Java at:'java.util.Date') instVarOffsetOf:'tm_yday'    
    ].
    ^ Date_Slot_tm_yday

    "
     JavaSlotIndexCache date_slot_tm_yday
    "

    "Created: 8.2.1997 / 13:29:14 / cg"
    "Modified: 8.2.1997 / 13:38:30 / cg"
!

date_slot_tm_year
    Date_Slot_tm_year isNil ifTrue:[
        Date_Slot_tm_year := (Java at:'java.util.Date') instVarOffsetOf:'tm_year'    
    ].
    ^ Date_Slot_tm_year

    "
     JavaSlotIndexCache date_slot_tm_year
    "

    "Created: 8.2.1997 / 13:28:52 / cg"
!

date_slot_value
    Date_Slot_value isNil ifTrue:[
        Date_Slot_value := (Java at:'java.util.Date') instVarOffsetOf:'value'    
    ].
    ^ Date_Slot_value

    "
     JavaSlotIndexCache date_slot_value
    "

    "Created: 8.2.1997 / 13:30:30 / cg"
    "Modified: 8.2.1997 / 13:30:51 / cg"
!

date_slot_valueValid
    Date_Slot_valueValid isNil ifTrue:[
        Date_Slot_valueValid := (Java at:'java.util.Date') instVarOffsetOf:'valueValid'    
    ].
    ^ Date_Slot_valueValid

    "
     JavaSlotIndexCache date_slot_valueValid
    "

    "Created: 8.2.1997 / 13:25:46 / cg"
    "Modified: 8.2.1997 / 13:27:47 / cg"
!

graphics_slot_color_from:graphics
    Graphics_Slot_color isNil ifTrue:[
        Graphics_Slot_color := graphics class instVarOffsetOf:'color'
    ].
    ^ Graphics_Slot_color

    "Created: 8.2.1997 / 13:53:56 / cg"
!

graphics_slot_pDrawable_from:graphics
    Graphics_Slot_pDrawable isNil ifTrue:[
        Graphics_Slot_pDrawable := graphics class instVarOffsetOf:'pDrawable'
    ].
    ^ Graphics_Slot_pDrawable

    "Created: 8.2.1997 / 13:49:42 / cg"
!

graphics_slot_touched_from:graphics
    Graphics_Slot_touched isNil ifTrue:[
        Graphics_Slot_touched := graphics class instVarOffsetOf:'touched'
    ].
    ^ Graphics_Slot_touched

    "Created: 8.2.1997 / 13:50:57 / cg"
!

string_slot_count
    String_Slot_count isNil ifTrue:[
        String_Slot_count := (Java at:'java.lang.String') instVarOffsetOf:'count'    
    ].
    ^ String_Slot_count

    "
     JavaSlotIndexCache string_slot_count
    "

    "Created: 8.2.1997 / 13:19:06 / cg"
!

string_slot_offset
    String_Slot_offset isNil ifTrue:[
        String_Slot_offset := (Java at:'java.lang.String') instVarOffsetOf:'offset'    
    ].
    ^ String_Slot_offset

    "
     JavaSlotIndexCache string_slot_offset
    "

    "Modified: 8.2.1997 / 13:18:53 / cg"
!

string_slot_value
    String_Slot_value isNil ifTrue:[
        String_Slot_value := (Java at:'java.lang.String') instVarOffsetOf:'value'    
    ].
    ^ String_Slot_value

    "
     JavaSlotIndexCache string_slot_value
    "

    "Created: 8.2.1997 / 13:19:14 / cg"
! !

!JavaSlotIndexCache class methodsFor:'documentation'!

version
    ^ '$Id: JavaSlotIndexCache.st,v 1.4 2011/08/18 18:42:48 vrany Exp $'
!

version_SVN
    ^ '$Id: JavaSlotIndexCache.st,v 1.4 2011/08/18 18:42:48 vrany Exp $'
! !